import request from '@/utils/request'
export function sendCode(data = {}) {
  return request({
    'url': '/common/app/send/code',
    headers: {
      isToken: false
    },
    method: 'post',
    data,
    timeout: 20000
  })
}
export function login(data = {}) {
  return request({
    'url': '/common/app/login/code',
    headers: {
      isToken: false
    },
    method: 'post',
    data,
    timeout: 20000
  })
}
export function logout(data = {}) {
  return request({
    'url': '/app/user/my/logout',
    headers: {
      isToken: false
    },
    method: 'post',
    data,
    timeout: 20000
  })
}
export function wxLogin(data = {}) {
  return request({
    'url': '/common/app/login/weixin',
    headers: {
      isToken: false
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function telBind(data = {}) {
  return request({
    'url': '/app/user/my/change/tel',
    headers: {
      isToken: false
    },
    method: 'post',
    data,
    timeout: 20000
  })
}
export function firstTelBind(data = {}) {
  return request({
    'url': '/common/app/bind/code',
    headers: {
      isToken: false
    },
    method: 'post',
    data,
    timeout: 20000
  })
}
export function getVersion(data = {}) {
  return request({
    'url': '/common/app/version',
    headers: {
      isToken: false
    },
    method: 'post',
    data,
    timeout: 20000
  })
}
export function banbenImpinfo(data = {}) {
  return request({
    'url': '/app/chanpin/tongyong/banben/impinfo',
    headers: {
      isToken: false
    },
    method: 'post',
    data,
    timeout: 20000
  })
}
export function youkeLogin(data = {}) {
  return request({
    'url': '/common/app/login/youke',
    headers: {
      isToken: false
    },
    method: 'post',
    data,
    timeout: 20000
  })
}